登录 注册

登录

问题 joomla 1.5的网站,迁移到阿里云服务器,无法连接数据库?

  • 金绍波
  • 金绍波 的头像 话题作者
  • 离线
  • 新手上路
  • 新手上路
  • joomla 威武! joomla之门 彪悍
更多
2015年08月12日 17:14 #1 作者: 金绍波
linux+apache+mysql,数据库的用户名密码都正确,就是无法连接到数据库。

Database Error: Unable to connect to the database:Could not connect to MySQL

白哥,有空能否指教一二?

登录 或者   注册一个会员帐号 来参与讨论

更多
2015年08月12日 21:45 #2 作者: Joomla之门
你的 PHP 版本是多少?Joomla 1.5 好像不能支持高版本的 PHP 。

同时,注意 MySQL 的驱动方式必须用 mysql,不能用 mysqli 。

如果还不能解决,建议在网上寻找 mysql 连接测试程序(一般是单个 php 文件),测试一下你的 mysql 是否能顺利连接上。

付费下载 Joomla 3 扩展汉化版: 我要付费支持 Joomla 之门!

登录 或者   注册一个会员帐号 来参与讨论